OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCAF
TPrsStd

# TPrsStd_ConstraintDriver Class Reference

An implementation of TPrsStd_Driver for constraints.
.

`#include <TPrsStd_ConstraintDriver.hxx>`

Inheritance diagram for TPrsStd_ConstraintDriver:

[legend]

## Public Member Functions
Standard_EXPORT | TPrsStd_ConstraintDriver ()
| Constructs an empty constraint driver. .
virtual Standard_EXPORT Standard_Boolean | Update (const TDF_Label &aLabel, Handle(AIS_InteractiveObject)&anAISObject)
| Build the AISObject (if null) or update it. No compute is done. Returns <true> if informations was found and AISObject updated. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT TPrsStd_ConstraintDriver::TPrsStd_ConstraintDriver | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const TPrsStd_ConstraintDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TPrsStd_Driver.

virtual Standard_EXPORT Standard_Boolean TPrsStd_ConstraintDriver::Update | ( | const TDF_Label & | aLabel,
|  | Handle(AIS_InteractiveObject)& | anAISObject
| ) | `[virtual]`

| Implements TPrsStd_Driver.

The documentation for this class was generated from the following file:

- TPrsStd_ConstraintDriver.hxx